Loading...
Searching...
No Matches
detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > > Struct Template Reference
Inheritance diagram for detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >:

## Public Types

using | serializer = typename BasicJsonType::template json_serializer<T, void>

## Static Public Attributes

static constexpr bool | value

## Member Data Documentation

## value

template<typename BasicJsonType, typename T>

bool detail::has_non_default_from_json< BasicJsonType, T, enable_if_t< !is_basic_json< T >::value > >::value

staticconstexpr

Initial value:
=
is_detected_exact<T, from_json_function, serializer,
const BasicJsonType&>::value

The documentation for this struct was generated from the following file:

- IO/nlohmann/json.hpp